Bug 510204

Summary: Yum - Using complete name versus package name for update
Product: Red Hat Enterprise Linux 5 Reporter: Jacob <ronojacob>
Component: yumAssignee: packaging-team-maint
Status: CLOSED CURRENTRELEASE QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: medium Docs Contact:
Priority: low    
Version: 5.3CC: james.antill, rajeshjangam
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-12 16:39:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jacob 2009-07-08 07:05:04 EDT
Description of problem:
While running a yum update, i specified a list of rpms by their complete name.
Yum shows 4 rpms for update + install.
When we go ahead with the installation, it fails with a "Transaction check error".
However, if I give only the package name, yum shows 3 rpms and installation succeeds.

Version-Release number of selected component (if applicable):

yum 3.2.22
(I am using RHAS 4)

How reproducible:

Failing case (Complete rpm name used):
-----------------------------------------------------------------------------
yum -c ./yum.conf -C update nspr-devel-4.7.3-1.el4.i386 seamonkey-nspr-1.0.9-16.4.el4_6.i386 nss_db-2.2-29.i386 nss-3.12.2.0-4.el4.i386 seamonkey-nss-1.0.9-16.4.el4_6.i386 seamonkey-nspr-devel-1.0.9-16.4.el4_6.i386 nss-tools-3.12.2.0-4.el4.i386  nspr-4.7.3-1.el4.i386 seamonkey-nss-devel-1.0.9-16.4.el4_6.i386 nss-devel-3.12.2.0-4.el4.i386   
Config time: 0.018
Yum Version: 3.2.22
Setting up Package Sacks
pkgsack time: 0.006
rpmdb time: 0.000
Setting up Update Process
Building updates object
up:Obs Init time: 0.044
up:simple updates time: 0.018
up:obs time: 0.001
up:condense time: 0.000
updates time: 0.234
Package(s) nspr-devel-4.7.3-1.el4.i386 available, but not installed.
Package(s) seamonkey-nss-1.0.9-16.4.el4_6.i386 available, but not installed.
Package(s) seamonkey-nspr-devel-1.0.9-16.4.el4_6.i386 available, but not installed.
Package(s) nss-tools-3.12.2.0-4.el4.i386 available, but not installed.
Package(s) seamonkey-nss-devel-1.0.9-16.4.el4_6.i386 available, but not installed.
Package(s) nss-devel-3.12.2.0-4.el4.i386 available, but not installed.
Resolving Dependencies
--> Running transaction check
---> Package nspr.i386 0:4.7.3-1.el4 set to be updated
---> Package nss.i386 0:3.12.2.0-4.el4 set to be updated
---> Package seamonkey-nspr.i386 0:1.0.9-16.4.el4_6 set to be updated
--> Processing Conflict: nss conflicts prelink <= 0.3.3-0.EL4
--> Restarting Dependency Resolution with new changes.
---> Loop Number: 2
Restarting Loop
--> Running transaction check
---> Package prelink.i386 0:0.3.3-1.EL4 set to be updated
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 1.083

Dependencies Resolved

=========================================================================================================================================================================================================
 Package                                             Arch                                      Version                                                  Repository                                  Size
=========================================================================================================================================================================================================
Installing:
 nspr                                                i386                                      4.7.3-1.el4                                              repo1                                      101 k
     replacing  seamonkey-nspr.i386 1.0.9-2.el4

 nss                                                 i386                                      3.12.2.0-4.el4                                           repo1                                      998 k
     replacing  seamonkey-nss.i386 1.0.9-2.el4

Updating:
 prelink                                             i386                                      0.3.3-1.EL4                                              repo1                                      945 k
 seamonkey-nspr                                      i386                                      1.0.9-16.4.el4_6                                         repo1                                      101 k

Transaction Summary
=========================================================================================================================================================================================================
Install      2 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total size: 2.1 M
Is this ok [y/N]: y
Downloading Packages:
using local copy of prelink-0.3.3-1.EL4.i386
using local copy of nss-3.12.2.0-4.el4.i386
using local copy of seamonkey-nspr-1.0.9-16.4.el4_6.i386
using local copy of nspr-4.7.3-1.el4.i386
Running rpm_check_debug
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
Adding Package seamonkey-nspr-1.0.9-16.4.el4_6.i386 in mode u
Adding Package nspr-4.7.3-1.el4.i386 in mode u
rpm_check_debug time: 0.057
Running Transaction Test
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
Adding Package seamonkey-nspr-1.0.9-16.4.el4_6.i386 in mode u
Adding Package nspr-4.7.3-1.el4.i386 in mode u
Finished Transaction Test


Transaction Check Error:
  file /usr/lib/libnspr4.so conflicts between attempted installs of nspr-4.7.3-1.el4 and seamonkey-nspr-1.0.9-16.4.el4_6
  file /usr/lib/libplc4.so conflicts between attempted installs of nspr-4.7.3-1.el4 and seamonkey-nspr-1.0.9-16.4.el4_6
  file /usr/lib/libplds4.so conflicts between attempted installs of nspr-4.7.3-1.el4 and seamonkey-nspr-1.0.9-16.4.el4_6


Successful case (Package name used):
-----------------------------------------------------------------------------
yum -c ./yum.conf -C update nspr-devel seamonkey-nspr nss_db nss seamonkey-nss seamonkey-nspr-devel nss-tools  nspr seamonkey-nss-devel nss-dev
el
Config time: 0.059
Yum Version: 3.2.22
Setting up Package Sacks
pkgsack time: 0.006
rpmdb time: 0.000
Setting up Update Process
Building updates object
up:Obs Init time: 0.043
up:simple updates time: 0.018
up:obs time: 0.001
up:condense time: 0.000
updates time: 0.228
Package(s) nspr-devel available, but not installed.
Package: nss-3.12.2.0-4.el4.i386  - already in transaction set
Package(s) seamonkey-nspr-devel available, but not installed.
Package(s) nss-tools available, but not installed.
Package(s) seamonkey-nss-devel available, but not installed.
Package(s) nss-devel available, but not installed.
Resolving Dependencies
--> Running transaction check
---> Package nspr.i386 0:4.7.3-1.el4 set to be updated
---> Package nss.i386 0:3.12.2.0-4.el4 set to be updated
--> Processing Conflict: nss conflicts prelink <= 0.3.3-0.EL4
--> Restarting Dependency Resolution with new changes.
---> Loop Number: 2
Restarting Loop
--> Running transaction check
---> Package prelink.i386 0:0.3.3-1.EL4 set to be updated
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 1.210

Dependencies Resolved

=========================================================================================================================================================================================================
 Package                                         Arch                                         Version                                                Repository                                     Size
=========================================================================================================================================================================================================
Installing:
 nspr                                            i386                                         4.7.3-1.el4                                            repo1                                         101 k
     replacing  seamonkey-nspr.i386 1.0.9-2.el4

 nss                                             i386                                         3.12.2.0-4.el4                                         repo1                                         998 k
     replacing  seamonkey-nss.i386 1.0.9-2.el4

Updating:
 prelink                                         i386                                         0.3.3-1.EL4                                            repo1                                         945 k

Transaction Summary
=========================================================================================================================================================================================================
Install      2 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total size: 2.0 M
Is this ok [y/N]: y
Downloading Packages:
using local copy of nspr-4.7.3-1.el4.i386
using local copy of prelink-0.3.3-1.EL4.i386
using local copy of nss-3.12.2.0-4.el4.i386
Running rpm_check_debug
Adding Package nspr-4.7.3-1.el4.i386 in mode u
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
rpm_check_debug time: 0.061
Running Transaction Test
Adding Package nspr-4.7.3-1.el4.i386 in mode u
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
Finished Transaction Test
Transaction Test Succeeded
Transaction Test time: 0.120
Adding Package nspr-4.7.3-1.el4.i386 in mode u
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
Running Transaction
  Installing     : nspr                                                     1/6 
  Installing     : nss                                                      2/6 
  Updating       : prelink                                                  3/6 
  Erasing        : seamonkey-nspr                                           4/6 
  Cleanup        : prelink                                                  5/6 
  Erasing        : seamonkey-nss                                            6/6 
Transaction time: 2.965

Installed:
  nspr.i386 0:4.7.3-1.el4                                                                            nss.i386 0:3.12.2.0-4.el4                                                                           

Updated:
  prelink.i386 0:0.3.3-1.EL4                                                                                                                                                                             

Replaced:
  seamonkey-nspr.i386 0:1.0.9-2.el4                                                                   seamonkey-nss.i386 0:1.0.9-2.el4                                                                  

Complete!

----------------------------------------------------------------------------
Older versions of yum (perhaps 1.0) only understood the package name.
However, higher versions of yum can accept full or complete rpm name.
What is the recommended way of using yum?

1. Complete name (where we are seeing issues)
yum -c ./yum.conf -C update nspr-devel-4.7.3-1.el4.i386 seamonkey-nspr-1.0.9-16.4.el4_6.i386 nss_db-2.2-29.i386 nss-3.12.2.0-4.el4.i386 seamonkey-nss-1.0.9-16.4.el4_6.i386 seamonkey-nspr-devel-1.0.9-16.4.el4_6.i386 nss-tools-3.12.2.0-4.el4.i386  nspr-4.7.3-1.el4.i386 seamonkey-nss-devel-1.0.9-16.4.el4_6.i386 nss-devel-3.12.2.0-4.el4.i386

OR

2. Package name (which works well)

yum -c ./yum.conf -C update nspr-devel seamonkey-nspr nss_db nss seamonkey-nss seamonkey-nspr-devel nss-tools  nspr seamonkey-nss-devel nss-dev

OR

3. Package name and arch (which also works)

yum -c ./yum.conf -C update nspr-devel.i386 seamonkey-nspr.i386 nss_db.i386 nss.i386 seamonkey-nss.i386 seamonkey-nspr-devel.i386 nss-tools.i386  nspr.i386 seamonkey-nss-devel.i386 nss-dev.i386


The reason we wish to use the case 1 (complete name) or case 3 (name containing arch) is because on a 64-bit box, I wish to update or analyze for rpms belonging to a specific architecture only (say i386 only or x86_64 only).
Comment 1 James Antill 2009-07-08 09:34:07 EDT
 This looks like an edge case bug in the obsoletes processing, as nspr obsoletes seamonkey-nspr we shouldn't be putting the latter into the transaction ... this apparently doesn't work if you specify the full version.
 Can you do a run with "-d 9", as that might give some more info. it's also a little hard for us to reproduce as I don't know how you got a RHEL-4 box to have yum-3.2.22 on it.
Comment 2 Rajesh 2009-08-03 02:19:54 EDT
Hi James,

Sorry for a very late reply on this .
We have built yum and its dependencies from sources on RHEL4 box.

We also wish to know if the method 3 mentioned above in Rono Jacob's comment is a valid way to use yum.

Thanks,
Rajesh

Here is the information you needed:

Config time: 0.018
Yum Version: 3.2.22
COMMAND: yum -d 9 -c ./yum.conf -C update nspr-devel-4.7.3-1.el4.i386 nss_db-2.2-29.i386 nss-devel-3.12.2.0-4.el4.i386 seamonkey-nss-1.0.9-16.4.el4_6.i386 seamonkey-nspr-devel-1.0.9-16.4.el4_6.i386 nss-3.12.2.0-4.el4.i386 nss-tools-3.12.2.0-4.el4.i386 seamonkey-nspr-1.0.9-16.4.el4_6.i386 nspr-4.7.3-1.el4.i386 seamonkey-nss-devel-1.0.9-16.4.el4_6.i386 
Installroot: /
Ext Commands:

   nspr-devel-4.7.3-1.el4.i386
   nss_db-2.2-29.i386
   nss-devel-3.12.2.0-4.el4.i386
   seamonkey-nss-1.0.9-16.4.el4_6.i386
   seamonkey-nspr-devel-1.0.9-16.4.el4_6.i386
   nss-3.12.2.0-4.el4.i386
   nss-tools-3.12.2.0-4.el4.i386
   seamonkey-nspr-1.0.9-16.4.el4_6.i386
   nspr-4.7.3-1.el4.i386
   seamonkey-nss-devel-1.0.9-16.4.el4_6.i386
Setting up Package Sacks
pkgsack time: 0.006
Reading Local RPMDB
rpmdb time: 0.000
Setting up Update Process
Building updates object
up:Obs Init time: 0.043
putting procps in simple update
putting util-linux in simple update
putting acpid in simple update
putting libgomp in simple update
putting OpenIPMI-libs in simple update
putting speex in simple update
putting glibc in complex update
putting acl in simple update
putting gnuplot in simple update
putting authconfig in simple update
putting ibutils in simple update
putting usermode-gtk in simple update
putting vim-minimal in simple update
putting man-pages in simple update
putting NetworkManager-gnome in simple update
putting lvm2 in simple update
putting php-pear in simple update
putting openssh-askpass-gnome in simple update
putting squid in simple update
putting hal in simple update
putting traceroute in simple update
putting system-config-printer-gui in simple update
putting tcpdump in simple update
putting isdn4k-utils in simple update
putting crypto-utils in simple update
putting seamonkey-nss in simple update
putting gdm in simple update
putting perl in simple update
putting netpbm in simple update
putting gnome-vfs2-smb in simple update
putting system-config-network in simple update
putting cryptsetup in simple update
putting redhat-artwork in simple update
putting cpp in simple update
putting libxslt in simple update
putting bash in simple update
putting rsh-server in simple update
putting gnome-vfs2 in simple update
putting iptables in simple update
putting libsdp in simple update
putting sysklogd in simple update
putting libgnat in simple update
putting libf2c in simple update
putting libmthca in simple update
putting apr-util in simple update
putting libobjc in simple update
putting iproute in simple update
putting xorg-x11-xauth in simple update
putting rpm-python in simple update
putting glibc in complex update
putting gnome-system-monitor in simple update
putting rsh in simple update
putting libibumad in simple update
putting prelink in simple update
putting system-config-network-tui in simple update
putting lam-libs in simple update
putting openssl in complex update
putting xorg-x11-xdm in simple update
putting openldap in simple update
putting nfs-utils in simple update
putting binutils in simple update
putting rpm in simple update
putting cdrecord in simple update
putting shadow-utils in simple update
putting sendmail in simple update
putting libtiff in simple update
putting kernel-utils in simple update
putting openmpi-libs in simple update
putting mkisofs in simple update
putting rpm-libs in simple update
putting cpio in simple update
putting xorg-x11-tools in simple update
putting rpmdb-redhat in simple update
putting parted in simple update
putting e2fsprogs in simple update
putting cups-libs in simple update
putting compat-openldap in simple update
putting libpng10 in simple update
putting gd in simple update
putting gnome-utils in simple update
putting at in simple update
putting libgcj in simple update
putting firstboot in simple update
putting libgcc in simple update
putting NetworkManager in simple update
putting up2date-gnome in simple update
putting kdebase in simple update
putting samba in simple update
putting xorg-x11-deprecated-libs in simple update
putting libgnomecups in simple update
putting tcsh in simple update
putting device-mapper in simple update
putting bind-libs in simple update
putting vsftpd in simple update
putting ed in simple update
putting audit in simple update
putting pam_krb5 in simple update
putting OpenIPMI in simple update
putting sed in simple update
putting pcre in simple update
putting samba-common in simple update
putting quota in simple update
putting curl in simple update
putting libacl in simple update
putting bind-utils in simple update
putting httpd-suexec in simple update
putting diskdumputils in simple update
putting rhn-applet in simple update
putting httpd-manual in simple update
putting xorg-x11-Mesa-libGL in simple update
putting gnome-panel in simple update
putting alsa-utils in simple update
putting file in simple update
putting gnutls in simple update
putting mkinitrd in simple update
putting tzdata in simple update
putting hwdata in simple update
putting unzip in simple update
putting python in simple update
putting ntp in simple update
putting cups in simple update
putting kdelibs in simple update
putting iputils in simple update
putting tftp-server in simple update
putting openssl096b in simple update
putting module-init-tools in simple update
putting udev in simple update
putting crash in simple update
putting xorg-x11 in simple update
putting php in simple update
putting bzip2 in simple update
putting wdaemon in simple update
putting sane-backends in simple update
putting nfs-utils-lib in simple update
putting audit-libs in simple update
putting net-tools in simple update
putting sos in simple update
putting mysql in simple update
putting evolution-data-server in simple update
putting elinks in simple update
putting libxml2 in simple update
putting ash in simple update
putting openssh-askpass in simple update
putting logwatch in simple update
putting popt in simple update
putting openssl in complex update
putting openmotif in simple update
putting ruby-libs in simple update
putting kernel-smp in simple update
putting opensm in simple update
putting glibc-common in simple update
putting krb5-workstation in simple update
putting hotplug in simple update
putting libgcj4 in simple update
putting nautilus in simple update
putting autofs in simple update
putting diffutils in simple update
putting authconfig-gtk in simple update
putting vixie-cron in simple update
putting mod_ssl in simple update
putting ipsec-tools in simple update
putting seamonkey-nspr in simple update
putting grep in simple update
putting xinetd in simple update
putting netdump in simple update
putting openib in simple update
putting ibutils-libs in simple update
putting xterm in simple update
putting linuxwacom in simple update
putting dhcpv6_client in simple update
putting libwmf in simple update
putting php-ldap in simple update
putting selinux-policy-targeted in simple update
putting FreeWnn-libs in simple update
putting sudo in simple update
putting librdmacm in simple update
putting openssh-server in simple update
putting make in simple update
putting dapl in simple update
putting libuser in simple update
putting iiimf-gtk in simple update
putting Canna-libs in simple update
putting libexif in simple update
putting tmpwatch in simple update
putting samba-client in simple update
putting initscripts in simple update
putting bluez-utils in simple update
putting zip in simple update
putting tcl in simple update
putting vnc-server in simple update
putting gpdf in simple update
putting libpng in simple update
putting dmraid in simple update
putting logrotate in simple update
putting perl-HTML-Parser in simple update
putting tcp_wrappers in simple update
putting liberation-fonts in simple update
putting system-config-netboot in simple update
putting openssh in simple update
putting iiimf-libs in simple update
putting gtk2 in simple update
putting rhnlib in simple update
putting libibcm in simple update
putting freetype in simple update
putting nss_ldap in simple update
putting shared-mime-info in simple update
putting xorg-x11-xfs in simple update
putting libibverbs in simple update
putting mgetty in simple update
putting gstreamer-plugins in simple update
putting libsoup in simple update
putting boost in simple update
putting opensm-libs in simple update
putting ftp in simple update
putting enscript in simple update
putting libibmad in simple update
putting libgfortran in simple update
putting nscd in simple update
putting specspo in simple update
putting libstdc++ in simple update
putting vino in simple update
putting redhat-release in simple update
putting setup in simple update
putting net-snmp-libs in simple update
putting newt in simple update
putting xorg-x11-libs in simple update
putting libxml2-python in simple update
putting GConf2 in simple update
putting tk in simple update
putting qt in simple update
putting httpd in simple update
putting ghostscript in simple update
putting system-config-printer in simple update
putting libibcommon in simple update
putting system-config-lvm in simple update
putting pango in simple update
putting libvorbis in simple update
putting lftp in simple update
putting kudzu in simple update
putting usermode in simple update
putting xorg-x11-twm in simple update
putting dhclient in simple update
putting xorg-x11-font-utils in simple update
putting comps in simple update
putting pam in simple update
putting jwhois in simple update
putting libmudflap in simple update
putting xorg-x11-Mesa-libGLU in simple update
putting openssh-clients in simple update
putting kernel in simple update
putting coreutils in simple update
putting up2date in simple update
putting bzip2-libs in simple update
putting netconfig in simple update
putting libpcap in simple update
putting krb5-libs in simple update
putting postgresql-libs in simple update
putting bluez-libs in simple update
putting perl-DBI in simple update
processing glibc
processing glibc
processing openssl
processing openssl
up:simple updates time: 0.020
up:obs time: 0.001
up:condense time: 0.000
updates time: 0.227
Package(s) nspr-devel-4.7.3-1.el4.i386 available, but not installed.
Package(s) nss-devel-3.12.2.0-4.el4.i386 available, but not installed.
Package(s) seamonkey-nspr-devel-1.0.9-16.4.el4_6.i386 available, but not installed.
Package(s) nss-tools-3.12.2.0-4.el4.i386 available, but not installed.
Package(s) seamonkey-nss-devel-1.0.9-16.4.el4_6.i386 available, but not installed.
Resolving Dependencies
--> Running transaction check
---> Package nspr.i386 0:4.7.3-1.el4 set to be updated
Checking deps for nspr.i386 0-4.7.3-1.el4 - u
looking for ('libpthread.so.0(GLIBC_2.1)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libpthread.so.0(GLIBC_2.3.2)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libdl.so.2(GLIBC_2.1)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libpthread.so.0(GLIBC_2.2)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6(GLIBC_2.1.3)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libpthread.so.0(GLIBC_2.0)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libpthread.so.0', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6(GLIBC_2.1.2)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libdl.so.2(GLIBC_2.0)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6(GLIBC_2.2)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libc.so.6(GLIBC_2.3)', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('libdl.so.2', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
looking for ('/bin/sh', None, (None, None, None)) as a requirement of nspr.i386 0-4.7.3-1.el4 - u
---> Package nss.i386 0:3.12.2.0-4.el4 set to be updated
Checking deps for nss.i386 0-3.12.2.0-4.el4 - u
looking for ('nspr', 'GE', ('0', '4.6.99', None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libnspr4.so', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libc.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libc.so.6(GLIBC_2.3)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('/bin/sh', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libplds4.so', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libdl.so.2(GLIBC_2.1)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libpthread.so.0(GLIBC_2.0)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libpthread.so.0', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libc.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libc.so.6', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libc.so.6(GLIBC_2.1.3)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libplc4.so', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libdl.so.2(GLIBC_2.0)', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
looking for ('libdl.so.2', None, (None, None, None)) as a requirement of nss.i386 0-3.12.2.0-4.el4 - u
---> Package seamonkey-nspr.i386 0:1.0.9-16.4.el4_6 set to be updated
Checking deps for seamonkey-nspr.i386 0-1.0.9-16.4.el4_6 - u
Checking deps for seamonkey-nspr.i386 0-1.0.9-2.el4 - None
Checking deps for seamonkey-nss.i386 0-1.0.9-2.el4 - None
---> Package seamonkey-nss.i386 0:1.0.9-16.4.el4_6 set to be updated
Checking deps for seamonkey-nss.i386 0-1.0.9-16.4.el4_6 - u
looking for ('seamonkey-nspr', 'EQ', ('0', '1.0.9', '16.4.el4_6')) as a requirement of seamonkey-nss.i386 0-1.0.9-16.4.el4_6 - u
--> Processing Conflict: nss conflicts prelink <= 0.3.3-0.EL4
--> Restarting Dependency Resolution with new changes.
---> Loop Number: 2
Restarting Loop
--> Running transaction check
---> Package prelink.i386 0:0.3.3-1.EL4 set to be updated
Checking deps for prelink.i386 0-0.3.3-1.EL4 - u
Checking deps for prelink.i386 0-0.3.3-0.EL4 - None
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 1.070

Dependencies Resolved

================================================================================
 Package               Arch        Version                   Repository    Size
================================================================================
Installing:
 nspr                  i386        4.7.3-1.el4               repo1        101 k
     replacing  seamonkey-nspr.i386 1.0.9-2.el4

 nss                   i386        3.12.2.0-4.el4            repo1        998 k
     replacing  seamonkey-nss.i386 1.0.9-2.el4

Updating:
 prelink               i386        0.3.3-1.EL4               repo1        945 k
 seamonkey-nspr        i386        1.0.9-16.4.el4_6          repo1        101 k
 seamonkey-nss         i386        1.0.9-16.4.el4_6          repo1        742 k

Transaction Summary
================================================================================
Install      2 Package(s)         
Update       3 Package(s)         
Remove       0 Package(s)         

Total size: 2.8 M
Is this ok [y/N]: Downloading Packages:
using local copy of seamonkey-nss-1.0.9-16.4.el4_6.i386
using local copy of prelink-0.3.3-1.EL4.i386
using local copy of nss-3.12.2.0-4.el4.i386
using local copy of seamonkey-nspr-1.0.9-16.4.el4_6.i386
using local copy of nspr-4.7.3-1.el4.i386
Running rpm_check_debug
Member: seamonkey-nss.i386 0-1.0.9-16.4.el4_6 - u
Adding Package seamonkey-nss-1.0.9-16.4.el4_6.i386 in mode u
Member: seamonkey-nspr.i386 0-1.0.9-2.el4 - None
Member: seamonkey-nss.i386 0-1.0.9-2.el4 - None
Member: prelink.i386 0-0.3.3-0.EL4 - None
Member: prelink.i386 0-0.3.3-1.EL4 - u
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Member: nss.i386 0-3.12.2.0-4.el4 - u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
Member: seamonkey-nspr.i386 0-1.0.9-16.4.el4_6 - u
Adding Package seamonkey-nspr-1.0.9-16.4.el4_6.i386 in mode u
Member: nspr.i386 0-4.7.3-1.el4 - u
Adding Package nspr-4.7.3-1.el4.i386 in mode u
rpm_check_debug time: 0.050
Running Transaction Test
Member: seamonkey-nss.i386 0-1.0.9-16.4.el4_6 - u
Adding Package seamonkey-nss-1.0.9-16.4.el4_6.i386 in mode u
Member: seamonkey-nspr.i386 0-1.0.9-2.el4 - None
Member: seamonkey-nss.i386 0-1.0.9-2.el4 - None
Member: prelink.i386 0-0.3.3-0.EL4 - None
Member: prelink.i386 0-0.3.3-1.EL4 - u
Adding Package prelink-0.3.3-1.EL4.i386 in mode u
Member: nss.i386 0-3.12.2.0-4.el4 - u
Adding Package nss-3.12.2.0-4.el4.i386 in mode u
Member: seamonkey-nspr.i386 0-1.0.9-16.4.el4_6 - u
Adding Package seamonkey-nspr-1.0.9-16.4.el4_6.i386 in mode u
Member: nspr.i386 0-4.7.3-1.el4 - u
Adding Package nspr-4.7.3-1.el4.i386 in mode u
Finished Transaction Test


Transaction Check Error:
  file /usr/lib/libfreebl3.chk conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libfreebl3.so conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libnss3.so conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libnssckbi.so conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libsmime3.so conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libsoftokn3.chk conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libsoftokn3.so conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libssl3.so conflicts between attempted installs of nss-3.12.2.0-4.el4 and seamonkey-nss-1.0.9-16.4.el4_6
  file /usr/lib/libnspr4.so conflicts between attempted installs of nspr-4.7.3-1.el4 and seamonkey-nspr-1.0.9-16.4.el4_6
  file /usr/lib/libplc4.so conflicts between attempted installs of nspr-4.7.3-1.el4 and seamonkey-nspr-1.0.9-16.4.el4_6
  file /usr/lib/libplds4.so conflicts between attempted installs of nspr-4.7.3-1.el4 and seamonkey-nspr-1.0.9-16.4.el4_6

Error Summary
-------------
Comment 3 James Antill 2009-08-03 15:08:15 EDT
> We have built yum and its dependencies from sources on RHEL4 box.

 Ok, you may want to move to the 3.2.22 that's in the 5.4 beta (as it has lots of bug fixes).

> We also wish to know if the method 3 mentioned above in Rono Jacob's comment is
> a valid way to use yum.

 Yes, name.arch is valid. From "man yum":

       Specifying package names
              A package can be referred to for install,update,list,remove  etc
              with any of the following:

              name
              name.arch
              name-ver
              name-ver-rel
              name-ver-rel.arch
              name-epoch:ver-rel.arch
              epoch:name-ver-rel.arch

              For example: yum remove kernel-2.4.1-10.i686
Comment 4 Rajesh 2009-08-06 10:40:39 EDT
Thank you James. 
We'll use the <packagename>.<arch> format.
Comment 5 James Antill 2013-03-12 16:39:00 EDT
 This is probably fixed in RHEL-5, but if not almost certainly in RHEL-6.